# ScanbotBarcodeSdk class

Entry point for interacting with the Scanbot Barcode SDK.

## Constructors

ScanbotBarcodeSdk()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

cleanupStorage() → Future
  Clears the internal storage folder used to temporarily store barcode images.
detectBarcodesOnImage(Uri imageFileUri, BarcodeScannerConfiguration barcodeScannerConfiguration) → Future<BarcodeScannerResult>
  Detects barcodes on an image file at `imageFileUri` using the specified `barcodeScannerConfiguration`.
extractImagesFromPdf(ExtractImagesFromPdfParams params) → Future<List<String>?>
  Extracts images from the given PDF document.
getDecryptedDataFromFile(Uri fileUri) → Future<Uint8List?>
  Returns decrypted byte data from the specified file at `fileUri`.
getLicenseStatus() → Future<SdkLicenseStatus>
  Returns the current license status of the Scanbot SDK.
initScanbotSdk(ScanbotSdkConfig config) → Future<SdkLicenseStatus>
  Initializes the Scanbot SDK with given `config`s. The Scanbot SDK must be initialized before using any other API methods.
makeImageRefsSnapshot() → Future<ImageRefPoolSnapshot?>
  Takes a snapshot of all currently alive ImageRefs.
mockCamera(MockCameraParams args) → Future<void>
  Mock camera preview by using static images as a frame source.
startBarcodeScanner(BarcodeScannerScreenConfiguration config) → Future<ResultWrapper<BarcodeScannerUiResult>>
  Starts the RTU barcode scanner UI with the given `config`.

## Constants

channel → const MethodChannel